| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # DOMPSVITypeInfo Class Reference The `DOMPSVITypeInfo` interface represent the PSVI info used by `DOMElement` or `DOMAttr` nodes, specified in the schemas associated with the document. More... List of all members.
## Public Types
enum | PSVIProperty { PSVI_Validity, PSVI_Validitation_Attempted, PSVI_Type_Definition_Type, PSVI_Type_Definition_Name, PSVI_Type_Definition_Namespace, PSVI_Type_Definition_Anonymous, PSVI_Nil, PSVI_Member_Type_Definition_Name, PSVI_Member_Type_Definition_Namespace, PSVI_Member_Type_Definition_Anonymous, PSVI_Schema_Default, PSVI_Schema_Normalized_Value, PSVI_Schema_Specified }
## Public Member Functions
Destructor
virtual | ~DOMPSVITypeInfo ()
| Destructor.
virtual const XMLCh * | getStringProperty (PSVIProperty prop) const =0
| Returns the string value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available.
virtual int | getNumericProperty (PSVIProperty prop) const =0
| Returns the numeric value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available.
## Protected Member Functions
Hidden constructors
| DOMPSVITypeInfo ()
## Detailed Description The `DOMPSVITypeInfo` interface represent the PSVI info used by `DOMElement` or `DOMAttr` nodes, specified in the schemas associated with the document. ## Member Enumeration Documentation
enum DOMPSVITypeInfo::PSVIProperty
  Enumerator:
  PSVI_Validity |
  PSVI_Validitation_Attempted |
  PSVI_Type_Definition_Type |
  PSVI_Type_Definition_Name |
  PSVI_Type_Definition_Namespace |
  PSVI_Type_Definition_Anonymous |
  PSVI_Nil |
  PSVI_Member_Type_Definition_Name |
  PSVI_Member_Type_Definition_Namespace |
  PSVI_Member_Type_Definition_Anonymous |
  PSVI_Schema_Default |
  PSVI_Schema_Normalized_Value |
  PSVI_Schema_Specified |
## Constructor & Destructor Documentation
DOMPSVITypeInfo::DOMPSVITypeInfo | ( |  | ) | `[protected]`
virtual DOMPSVITypeInfo::~DOMPSVITypeInfo | ( |  | ) | `[virtual]`
Destructor. ## Member Function Documentation
virtual const XMLCh* DOMPSVITypeInfo::getStringProperty | ( | PSVIProperty | prop | ) | const`[pure virtual]`
Returns the string value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available. "Experimental - subject to change" Returns: the string value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available.
virtual int DOMPSVITypeInfo::getNumericProperty | ( | PSVIProperty | prop | ) | const`[pure virtual]`
Returns the numeric value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available. "Experimental - subject to change" Returns: the numeric value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available. The documentation for this class was generated from the following file: DOMPSVITypeInfo.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.